Skip to main content
`Ctrl`+`K`

# MatSeqAIJSetType

Converts a `MATSEQAIJ` matrix to a subtype

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJSetType(Mat mat, MatType matype)

Collective

## Input Parameters

- mat - the matrix object

- matype - matrix type

## Options Database Key

- -mat_seqaij_type <method> - for example seqaijcrl

## See Also

Matrices, `Mat`, `PCSetType()`, `VecSetType()`, `MatCreate()`, `MatType`

## Level

intermediate

## Location

src/mat/impls/aij/seq/aij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages